# For more information, please refer to https://aka.ms/vscode-docker-python
FROM python:3.10-slim

RUN apt update
RUN apt install -y curl
RUN apt install -y iputils-ping 

EXPOSE 8080

# Keeps Python from generating .pyc files in the container
ENV PYTHONDONTWRITEBYTECODE=1

# Turns off buffering for easier container logging
ENV PYTHONUNBUFFERED=1

# Install pip requirements
COPY requirements.txt .
RUN python -m pip install -r requirements.txt

WORKDIR /app
COPY . /app

WORKDIR /app/service-template

# During debugging, this entry point will be overridden. For more information, please refer to https://aka.ms/vscode-docker-python-debug
CMD hypercorn service:app --bind 0.0.0.0:8080
